{{set . "title" "Country Map"}}
{{template "header.html" .}}

<div class="container">
  <div class="row">
    <div class="col">
       <h1>{{msg . "usersmap.title"}}</h1>
       <p>{{msg . "usersmap.description"}}</p>
    </div>
  </div>
  <div class="row">
    <div class="col">
      <div id="mapid" style="height: 700px;"></div>
    </div>
  </div>
  <script src="{{config.Address}}/public/js/leaflet.js"></script>
  <script src="{{config.Address}}/public/js/leaflet.markercluster.js"></script>
  <script>
    var mymap = L.map('mapid').setView([0,0], 2);
    var mymapData = {{countriestojson .countries}};

    L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png', {
      maxZoom: 18,
      attribution: '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors',
    }).addTo(mymap);

    var clusterMarkers = L.markerClusterGroup({
      singleMarkerMode: true
    });
    for (var i = 0; i < mymapData.length; i++) {
      var poi = mymapData[i];
      var country = poi[2].country;
      var marker = L.marker(new L.LatLng(poi[0], poi[1]));
      marker.bindPopup(country.name + " (" + country.iso + ")");
      clusterMarkers.addLayer(marker);
    }
    clusterMarkers.addTo(mymap);
  </script>
</div>

{{template "footer.html" .}}
